package com.bytedance.android.livesdk.livesetting.publicscreen;

import X.GL5;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_being_at_config")
public final class LiveBeingAtConfigSetting {
    @Group(isDefault = true, value = "default group")
    public static final GL5 DEFAULT = new GL5();
    public static final LiveBeingAtConfigSetting INSTANCE = new LiveBeingAtConfigSetting();
    public static GL5 cacheValue;

    public final GL5 getCacheValue() {
        return cacheValue;
    }

    static {
        Covode.recordClassIndex(18236);
    }

    public static final GL5 getValue() {
        if (cacheValue == null) {
            cacheValue = (GL5) SettingsManager.INSTANCE.getValueSafely(LiveBeingAtConfigSetting.class);
        }
        GL5 gl5 = cacheValue;
        if (gl5 == null) {
            return DEFAULT;
        }
        return gl5;
    }

    public final void setCacheValue(GL5 gl5) {
        cacheValue = gl5;
    }
}
